Bug 1032985 - With heavy load skip lookup account details doesn't
With heavy load skip lookup account details doesn't
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evolution (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2013-11-21 06:02 EST by Matěj Cepl
Modified: 2015-05-28 04:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: evolution-3.12.11-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-05-27 03:05:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of the dialog (25.11 KB, image/png)
2013-11-21 06:02 EST, Matěj Cepl
no flags Details
backtrace (35.96 KB, text/plain)
2013-11-21 07:01 EST, Matěj Cepl
no flags Details
output of CAMEL_DEBUG=all evolution (14.65 MB, application/x-gzip)
2015-05-26 14:59 EDT, Matěj Cepl
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 720356 None None None Never

  None (edit)
Description Matěj Cepl 2013-11-21 06:02:13 EST
Created attachment 827129 [details]
screenshot of the dialog

Description of problem:
I am refreshing my main RH mail account (multi-gigabyte enterprise) and when adding as a second account my personal one, I get bogged on "Lookup Account Details" dialog. I tried to skip that lookup (which doesn't make much sense anyway, because details of my personal IMAP server won't be found anyway).

Version-Release number of selected component (if applicable):

How reproducible:
happened once.

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 2 Matěj Cepl 2013-11-21 07:01:58 EST
Created attachment 827156 [details]

What's even better, that after some time of running the lookup account details wizard, whole evolution crashed with this backtrace.
Comment 3 Matthew Barnes 2013-12-12 10:55:50 EST
Where's the upstream bug report for this?
Comment 4 RHEL Product and Program Management 2014-03-22 02:29:34 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Milan Crha 2015-05-04 12:41:28 EDT
Please retest with evolution 3.12.11-1, once it's available and report back.
Comment 7 Milan Crha 2015-05-19 06:38:38 EDT
It'll also help to run evolution from a terminal first, then see what it prints there. I recall a libsoup message which was something about freeing a soup structure which is still in use, which could later lead to a crash. I think the trick was to click the Skip Lookup quick enough, right after the lookup started.
Comment 8 Matěj Cepl 2015-05-26 14:59:07 EDT
Created attachment 1030120 [details]
output of CAMEL_DEBUG=all evolution

It seems like it is working fine with evolution-3.12.11-2.el7.x86_64
Comment 9 Milan Crha 2015-05-27 03:05:35 EDT
Okay, thanks for the testing. I really didn't ask for a 97.5MB log, I asked for a plain console output, where can be shown things from libsoup in time of clicking the "Skip Lookup", which sometimes did that when the button was pressed quickly enough. Such issue belongs to libsoup, which I do not follow closely, thus it might, or might not, be fixed in libsoup-2.48.1-3.el7.
Comment 10 Matěj Cepl 2015-05-27 17:22:09 EDT
(In reply to Milan Crha from comment #9)
> Okay, thanks for the testing. I really didn't ask for a 97.5MB log, I asked

I always believed that there is no such thing as too much information. Perhaps, this is the first case?
Comment 11 Milan Crha 2015-05-28 04:25:59 EDT
(In reply to Matěj Cepl from comment #10)
> Perhaps, this is the first case?

In this case, it is :)

Note You need to log in before you can comment on or make changes to this bug.